diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/TimePeriodParser.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/TimePeriodParser.java
new file mode 100644
index 0000000000..1ab2e5b306
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/TimePeriodParser.java
@@ -0,0 +1,290 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.strategy.parser;
+
+import java.text.DateFormat;
+import java.text.ParsePosition;
+import java.util.Calendar;
+import java.util.Date;
+import java.util.regex.Matcher;
+import java.util.regex.Pattern;
+
+import org.apache.log4j.Logger;
+import org.joda.time.DateTime;
+import org.joda.time.DateTimeFieldType;
+import org.joda.time.Partial;
+
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.model.common.TimePeriod;
+
+/**
+ * Class for parsing all types of date string to TimePeriod
+ * @author a.mueller
+ * @created 14-Jul-2013
+ */
+public class TimePeriodParser {
+	private static final Logger logger = Logger.getLogger(TimePeriodParser.class);
+	
+	//patter for first year in string;
+	private static final Pattern firstYearPattern =  Pattern.compile("\\d{4}");
+	//case "1806"[1807];
+	private static final Pattern uncorrectYearPatter =  Pattern.compile("\"\\d{4}\"\\s*\\[\\d{4}\\]");
+	//case fl. 1806 or c. 1806 or fl. 1806?
+	private static final Pattern prefixedYearPattern =  Pattern.compile("(fl|c)\\.\\s*\\d{4}(\\s*-\\s*\\d{4})?\\??");
+	//standard
+	private static final Pattern standardPattern =  Pattern.compile("\\s*\\d{2,4}(\\s*-(\\s*\\d{2,4})?)?");
+	private static final String strDotDate = "[0-3]?\\d\\.[01]?\\d\\.\\d{4,4}";
+	private static final String strDotDatePeriodPattern = String.format("%s(\\s*-\\s*%s?)?", strDotDate, strDotDate);
+	private static final Pattern dotDatePattern =  Pattern.compile(strDotDatePeriodPattern);
+
+
+	public static TimePeriod parseString(TimePeriod timePeriod, String periodString){
+		//TODO move to parser class
+		//TODO until now only quick and dirty (and partly wrong)
+		TimePeriod result = timePeriod;
+
+		if(timePeriod == null){
+			return timePeriod;
+		}
+
+		if (periodString == null){
+			return result;
+		}
+		periodString = periodString.trim();
+
+		result.setFreeText(null);
+		Date date;
+
+		//case "1806"[1807];
+		if (uncorrectYearPatter.matcher(periodString).matches()){
+			result.setFreeText(periodString);
+			String realYear = periodString.split("\\[")[1];
+			realYear = realYear.replace("]", "");
+			result.setStartYear(Integer.valueOf(realYear));
+			result.setFreeText(periodString);
+		//case fl. 1806 or c. 1806 or fl. 1806?
+		}else if(prefixedYearPattern.matcher(periodString).matches()){
+			result.setFreeText(periodString);
+			Matcher yearMatcher = firstYearPattern.matcher(periodString);
+			yearMatcher.find();
+			String startYear = yearMatcher.group();
+			result.setStartYear(Integer.valueOf(startYear));
+			if (yearMatcher.find()){
+				String endYear = yearMatcher.group();
+				result.setEndYear(Integer.valueOf(endYear));
+			}
+		}else if (dotDatePattern.matcher(periodString).matches()){
+			parseDotDatePattern(periodString, result);
+		}else if (standardPattern.matcher(periodString).matches()){
+			parseStandardPattern(periodString, result);
+//TODO first check ambiguity of parser results e.g. for 7/12/11
+//			}else if (isDateString(periodString)){
+//				String[] startEnd = makeStartEnd(periodString);
+//				String start = startEnd[0];
+//				DateTime startDateTime = dateStringParse(start, true);
+//				result.setStart(startDateTime);
+//				if (startEnd.length > 1){
+//					DateTime endDateTime = dateStringParse(startEnd[1], true);
+//					;
+//					result.setEnd(endDateTime.toLocalDate());
+//				}
+
+		}else{
+			result.setFreeText(periodString);
+		}
+		return result;
+	}
+
+	private static boolean isDateString(String periodString) {
+		String[] startEnd = makeStartEnd(periodString);
+		String start = startEnd[0];
+		DateTime startDateTime = dateStringParse(start, true);
+		if (startDateTime == null){
+			return false;
+		}
+		if (startEnd.length > 1){
+			DateTime endDateTime = dateStringParse(startEnd[1], true);
+			if (endDateTime != null){
+				return true;
+			}
+		}
+		return false;
+	}
+
+
+	/**
+	 * @param periodString
+	 * @return
+	 */
+	private static String[] makeStartEnd(String periodString) {
+		String[] startEnd = new String[]{periodString};
+		if (periodString.contains("-") && periodString.matches("^-{2,}-^-{2,}")){
+			startEnd = periodString.split("-");
+		}
+		return startEnd;
+	}
+
+
+	private static DateTime dateStringParse(String string, boolean strict) {
+		DateFormat dateFormat = DateFormat.getDateInstance();
+		ParsePosition pos = new ParsePosition(0);
+		Date a = dateFormat.parse(string, pos);
+		if (a == null || pos.getIndex() != string.length()){
+			return null;
+		}
+		Calendar cal = Calendar.getInstance();
+		cal.setTime(a);
+		DateTime result = new DateTime(cal);
+		return result;
+	}
+
+
+	/**
+	 * @param periodString
+	 * @param result
+	 */
+	private static void parseDotDatePattern(String periodString,TimePeriod result) {
+		String[] dates = periodString.split("-");
+		Partial dtStart = null;
+		Partial dtEnd = null;
+
+		if (dates.length > 2 || dates.length <= 0){
+			logger.warn("More than 1 '-' in period String: " + periodString);
+			result.setFreeText(periodString);
+		}else {
+			try {
+				//start
+				if (! CdmUtils.isEmpty(dates[0])){
+					dtStart = parseSingleDotDate(dates[0].trim());
+				}
+
+				//end
+				if (dates.length >= 2 && ! CdmUtils.isEmpty(dates[1])){
+					dtEnd = parseSingleDotDate(dates[1].trim());
+				}
+
+				result.setStart(dtStart);
+				result.setEnd(dtEnd);
+			} catch (IllegalArgumentException e) {
+				//logger.warn(e.getMessage());
+				result.setFreeText(periodString);
+			}
+		}
+	}
+
+
+	/**
+	 * @param periodString
+	 * @param result
+	 */
+	private static void parseStandardPattern(String periodString,
+			TimePeriod result) {
+		String[] years = periodString.split("-");
+		Partial dtStart = null;
+		Partial dtEnd = null;
+
+		if (years.length > 2 || years.length <= 0){
+			logger.warn("More than 1 '-' in period String: " + periodString);
+		}else {
+			try {
+				//start
+				if (! CdmUtils.isEmpty(years[0])){
+					dtStart = parseSingleDate(years[0].trim());
+				}
+
+				//end
+				if (years.length >= 2 && ! CdmUtils.isEmpty(years[1])){
+					years[1] = years[1].trim();
+					if (years[1].length()==2 && dtStart != null && dtStart.isSupported(DateTimeFieldType.year())){
+						years[1] = String.valueOf(dtStart.get(DateTimeFieldType.year())/100) + years[1];
+					}
+					dtEnd = parseSingleDate(years[1]);
+				}
+
+				result.setStart(dtStart);
+				result.setEnd(dtEnd);
+			} catch (IllegalArgumentException e) {
+				//logger.warn(e.getMessage());
+				result.setFreeText(periodString);
+			}
+		}
+	}
+
+	public static TimePeriod parseString(String strPeriod) {
+		TimePeriod timePeriod = TimePeriod.NewInstance();
+		return parseString(timePeriod, strPeriod);
+	}
+
+
+	protected static Partial parseSingleDate(String singleDateString) throws IllegalArgumentException{
+		//FIXME until now only quick and dirty and incomplete
+		Partial partial =  new Partial();
+		singleDateString = singleDateString.trim();
+		if (CdmUtils.isNumeric(singleDateString)){
+			try {
+				Integer year = Integer.valueOf(singleDateString.trim());
+				if (year < 1000 && year > 2100){
+					logger.warn("Not a valid year: " + year + ". Year must be between 1000 and 2100");
+				}else if (year < 1700 && year > 2100){
+					logger.warn("Not a valid taxonomic year: " + year + ". Year must be between 1750 and 2100");
+					partial = partial.with(TimePeriod.YEAR_TYPE, year);
+				}else{
+					partial = partial.with(TimePeriod.YEAR_TYPE, year);
+				}
+			} catch (NumberFormatException e) {
+				logger.debug("Not a Integer format in getCalendar()");
+				throw new IllegalArgumentException(e);
+			}
+		}else{
+			throw new IllegalArgumentException("Until now only years can be parsed as single dates. But date is: " + singleDateString);
+		}
+		return partial;
+
+	}
+
+	protected static Partial parseSingleDotDate(String singleDateString) throws IllegalArgumentException{
+		Partial partial =  new Partial();
+		singleDateString = singleDateString.trim();
+		String[] split = singleDateString.split("\\.");
+		int length = split.length;
+		if (length > 3){
+			throw new IllegalArgumentException(String.format("More than 2 dots in date '%s'", singleDateString));
+		}
+		String strYear = split[split.length-1];
+		String strMonth = length >= 2? split[split.length-2]: null;
+		String strDay = length >= 3? split[split.length-3]: null;
+
+
+		try {
+			Integer year = Integer.valueOf(strYear.trim());
+			Integer month = Integer.valueOf(strMonth.trim());
+			Integer day = Integer.valueOf(strDay.trim());
+			if (year < 1000 && year > 2100){
+				logger.warn("Not a valid year: " + year + ". Year must be between 1000 and 2100");
+			}else if (year < 1700 && year > 2100){
+				logger.warn("Not a valid taxonomic year: " + year + ". Year must be between 1750 and 2100");
+				partial = partial.with(TimePeriod.YEAR_TYPE, year);
+			}else{
+				partial = partial.with(TimePeriod.YEAR_TYPE, year);
+			}
+			if (month != null && month != 0){
+				partial = partial.with(TimePeriod.MONTH_TYPE, month);
+			}
+			if (day != null && day != 0){
+				partial = partial.with(TimePeriod.DAY_TYPE, day);
+			}
+		} catch (NumberFormatException e) {
+			logger.debug("Not a Integer format somewhere in " + singleDateString);
+			throw new IllegalArgumentException(e);
+		}
+		return partial;
+
+	}
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/AnnotationTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/AnnotationTest.java
index 9725c937a9..f7bb050e0a 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/AnnotationTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/AnnotationTest.java
@@ -126,7 +126,7 @@ public class AnnotationTest extends EntityTestBase {
 
 	/**
 	 * Test method for {@link eu.etaxonomy.cdm.model.common.Annotation#getLinkbackUri()}.
-	 * Test method for {@link eu.etaxonomy.cdm.model.common.Annotation#setLinkbackUri(java.net.URL)}.
+	 * Test method for {@link eu.etaxonomy.cdm.model.common.Annotation#setLinkbackUri(URI))}.
 	 */
 	@Test
 	public void testGetSetLinkbackUri() {
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializerTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializerTest.java
index 9f4ed51791..b203d77e90 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializerTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializerTest.java
@@ -23,26 +23,11 @@ import org.junit.Test;
 /**
  * @author a.mueller
  * @created 02.03.2009
- * @version 1.0
  */
 public class DefaultTermInitializerTest {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(DefaultTermInitializerTest.class);
 
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@BeforeClass
-	public static void setUpBeforeClass() throws Exception {
-	}
-
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@AfterClass
-	public static void tearDownAfterClass() throws Exception {
-	}
-
 	/**
 	 * @throws java.lang.Exception
 	 */
@@ -50,12 +35,6 @@ public class DefaultTermInitializerTest {
 	public void setUp() throws Exception {
 	}
 
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@After
-	public void tearDown() throws Exception {
-	}
 
 	/**
 	 * Test method for {@link eu.etaxonomy.cdm.model.common.DefaultTermInitializer#initialize()}.
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/ExtensionTypeTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/ExtensionTypeTest.java
index 4b540747a5..d105001890 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/ExtensionTypeTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/ExtensionTypeTest.java
@@ -27,7 +27,6 @@ import org.springframework.util.Assert;
 /**
  * @author a.mueller
  * @created 08.06.2009
- * @version 1.0
  */
 public class ExtensionTypeTest {
 	@SuppressWarnings("unused")
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermBaseTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermBaseTest.java
index e320ae0077..98c8f5932a 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermBaseTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermBaseTest.java
@@ -40,7 +40,7 @@ public class OrderedTermBaseTest extends EntityTestBase {
 	@Before
 	public void setUp() throws Exception {
 		otb1 = new DerivedOrderedTermBase();
-		otb2 = new DerivedOrderedTermBase("term", "label", null);
+		otb2 = new DerivedOrderedTermBase(TermType.Unknown, "term", "label", null);
 		otb3 = new DerivedOrderedTermBase();
 		otb4 = new DerivedOrderedTermBase();
 		
@@ -52,10 +52,10 @@ public class OrderedTermBaseTest extends EntityTestBase {
 	
 	private class DerivedOrderedTermBase extends OrderedTermBase<DerivedOrderedTermBase>{
 		private DerivedOrderedTermBase(){
-			super();
+			super(TermType.Unknown);
 		}
-		private DerivedOrderedTermBase(String term, String label, String labelAbbrev){
-			super(term, label, labelAbbrev);
+		private DerivedOrderedTermBase(TermType type, String term, String label, String labelAbbrev){
+			super(type, term, label, labelAbbrev);
 		}
 		@Override
 		protected void setDefaultTerms(TermVocabulary<DerivedOrderedTermBase> termVocabulary) {}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabularyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabularyTest.java
index 51b3a95452..9cb0bf1278 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabularyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabularyTest.java
@@ -39,9 +39,9 @@ public class OrderedTermVocabularyTest extends EntityTestBase {
 
 	@Before
 	public void setUp() throws Exception {
-		otb1 = new DerivedOrderedTermBase("otb1", "high", null);
-		otb2 = new DerivedOrderedTermBase("term", "middel", null);
-		otb3 = new DerivedOrderedTermBase("otb3", "low", null);
+		otb1 = new DerivedOrderedTermBase(TermType.Unknown,"otb1", "high", null);
+		otb2 = new DerivedOrderedTermBase(TermType.Unknown, "term", "middel", null);
+		otb3 = new DerivedOrderedTermBase(TermType.Unknown, "otb3", "low", null);
 		otbFree = new DerivedOrderedTermBase();
 		oVoc1 = new OrderedTermVocabulary<OrderedTermBase>();
 		oVoc1.addTerm(otb1);
@@ -52,10 +52,10 @@ public class OrderedTermVocabularyTest extends EntityTestBase {
 	
 	private class DerivedOrderedTermBase extends OrderedTermBase<DerivedOrderedTermBase>{
 		private DerivedOrderedTermBase(){
-			super();
+			super(TermType.Unknown);
 		}
-		private DerivedOrderedTermBase(String term, String label, String labelAbbrev){
-			super(term, label, labelAbbrev);
+		private DerivedOrderedTermBase(TermType type, String term, String label, String labelAbbrev){
+			super(type, term, label, labelAbbrev);
 		}
 		@Override
 		protected void setDefaultTerms(TermVocabulary<DerivedOrderedTermBase> termVocabulary) {}
@@ -123,7 +123,7 @@ public class OrderedTermVocabularyTest extends EntityTestBase {
 
 	@Test
 	public final void testOrderedTermVocabularyStringStringString() {
-		oVoc2 = new OrderedTermVocabulary<OrderedTermBase>("term", "label", null, URI.create("http://term.Source.Uri"));
+		oVoc2 = new OrderedTermVocabulary<OrderedTermBase>(TermType.Unknown, "term", "label", null, URI.create("http://term.Source.Uri"));
 		assertEquals("label", oVoc2.getLabel());	
 	}
 
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OriginalSourceTypeTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OriginalSourceTypeTest.java
new file mode 100644
index 0000000000..64a86583d9
--- /dev/null
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OriginalSourceTypeTest.java
@@ -0,0 +1,38 @@
+/**
+ * 
+ */
+package eu.etaxonomy.cdm.model.common;
+
+import static org.junit.Assert.*;
+
+
+import org.junit.Before;
+import org.junit.Test;
+
+/**
+ * @author a.mueller
+ * @created 6.6.2013
+ *
+ */
+public class OriginalSourceTypeTest {
+
+	/**
+	 * @throws java.lang.Exception
+	 */
+	@Before
+	public void setUp() throws Exception {
+	}
+
+	@Test
+	public void testOrdinal() {
+		String message = "the order of the terms in the enumeration must not be changed or changed in ALL existing databases.";
+		assertEquals(message, 0, OriginalSourceType.Unknown.ordinal());
+		assertEquals(message, 1, OriginalSourceType.PrimaryTaxonomicSource.ordinal());
+		assertEquals(message, 2, OriginalSourceType.Lineage.ordinal());
+		assertEquals(message, 3, OriginalSourceType.Import.ordinal());
+		assertEquals(message, 4, OriginalSourceType.Transformation.ordinal());
+		assertEquals(message, 5, OriginalSourceType.Aggregation.ordinal());
+		assertEquals(message, 6, OriginalSourceType.Other.ordinal());
+	}
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermTypeTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermTypeTest.java
new file mode 100644
index 0000000000..ab59b49294
--- /dev/null
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermTypeTest.java
@@ -0,0 +1,52 @@
+// $Id$
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.common;
+
+import static org.junit.Assert.*;
+
+import org.junit.Test;
+
+public class TermTypeTest {
+
+	@Test
+	public void test() {
+		TermType languageType = TermType.Language;
+		assertEquals(TermType.getByKey("LA"), languageType);
+	}
+	
+	@Test
+	public void testKindOf(){
+		assertSame(TermType.Modifier, TermType.DeterminationModifier.getKindOf());
+		assertSame(TermType.Modifier, TermType.Scope.getKindOf());
+		assertSame(TermType.Scope, TermType.Sex.getKindOf());
+		assertSame(TermType.Scope, TermType.Stage.getKindOf());
+	}
+	
+	@Test
+	public void testGeneralisationOf(){
+		assertTrue(TermType.Modifier.getGeneralizationOf().contains(TermType.DeterminationModifier));
+		assertTrue(TermType.Modifier.getGeneralizationOf().contains(TermType.Scope));
+		assertTrue(TermType.Scope.getGeneralizationOf().contains(TermType.Sex));
+		assertTrue(TermType.Scope.getGeneralizationOf().contains(TermType.Stage));
+		assertFalse("generalisationOf may contain only contain only direct children, but stage is a grandchild", TermType.Modifier.getGeneralizationOf().contains(TermType.Stage));	
+	}
+	
+	@Test
+	public void testGeneralisationOfRecursive(){
+		boolean recursive = true;
+		assertTrue(TermType.Modifier.getGeneralizationOf(recursive).contains(TermType.Scope));
+		assertTrue(TermType.Modifier.getGeneralizationOf(! recursive).contains(TermType.Scope));
+		assertTrue(TermType.Scope.getGeneralizationOf(recursive).contains(TermType.Sex));
+		assertTrue(TermType.Modifier.getGeneralizationOf(recursive).contains(TermType.Stage));		
+		assertFalse(TermType.Modifier.getGeneralizationOf(!recursive).contains(TermType.Stage));		
+	}
+	
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermVocabularyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermVocabularyTest.java
index b4a1b98a15..d31fe6584a 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermVocabularyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermVocabularyTest.java
@@ -49,9 +49,9 @@ public class TermVocabularyTest extends EntityTestBase {
 
 	@Before
 	public void setUp() throws Exception {
-		dtb1 = new DerivedDefinedTermBase("otb1", "high", null);
-		dtb2 = new DerivedDefinedTermBase("term", "middel", null);
-		dtb3 = new DerivedDefinedTermBase("otb3", "low", null);
+		dtb1 = new DerivedDefinedTermBase(TermType.Unknown, "otb1", "high", null);
+		dtb2 = new DerivedDefinedTermBase(TermType.Unknown, "term", "middel", null);
+		dtb3 = new DerivedDefinedTermBase(TermType.Unknown, "otb3", "low", null);
 		dtbFree = new DerivedDefinedTermBase();
 		voc1 = new TermVocabulary<DefinedTermBase>();
 		voc1.addTerm(dtb1);
@@ -65,10 +65,10 @@ public class TermVocabularyTest extends EntityTestBase {
 	
 	private class DerivedDefinedTermBase extends OrderedTermBase<DerivedDefinedTermBase>{
 		private DerivedDefinedTermBase(){
-			super();
+			super(TermType.Unknown);
 		}
-		private DerivedDefinedTermBase(String term, String label, String labelAbbrev){
-			super(term, label, labelAbbrev);
+		private DerivedDefinedTermBase(TermType type, String term, String label, String labelAbbrev){
+			super(type, term, label, labelAbbrev);
 		}
 		@Override
 		protected void setDefaultTerms(TermVocabulary<DerivedDefinedTermBase> termVocabulary) {}
@@ -97,7 +97,7 @@ public class TermVocabularyTest extends EntityTestBase {
 
 	@Test
 	public final void testTermVocabularyStringStringString() {
-		voc2 = new TermVocabulary<DefinedTermBase>("term", "label", null, URI.create("http://term.Source.Uri"));
+		voc2 = new TermVocabulary<DefinedTermBase>(TermType.Unknown, "term", "label", null, URI.create("http://term.Source.Uri"));
 		assertEquals("label", voc2.getLabel());	
 	}
 
@@ -160,7 +160,7 @@ public class TermVocabularyTest extends EntityTestBase {
 	@Test
 	public final void testGetTermSourceUri() {
 		assertEquals(null, voc1.getTermSourceUri());
-		voc2 = new TermVocabulary<DefinedTermBase>("term", "label", null, URI.create("http://term.Source.Uri"));
+		voc2 = new TermVocabulary<DefinedTermBase>(TermType.Unknown,"term", "label", null, URI.create("http://term.Source.Uri"));
 		assertEquals("http://term.Source.Uri", voc2.getTermSourceUri().toString());
 	}
 
